Security update for libssh2_org

SUSE Security Update: Security update for libssh2_org
Announcement ID: SUSE-SU-2019:13997-1
Rating: moderate
References: #1091236 #1128471 #1128472 #1128474 #1128476 #1128480 #1128481 #1128490 #1128492 #1128493
Cross-References: CVE-2019-3855 CVE-2019-3856 CVE-2019-3857 CVE-2019-3858 CVE-2019-3859 CVE-2019-3860 CVE-2019-3861 CVE-2019-3862 CVE-2019-3863
Affected Products:
  • SUSE Linux Enterprise Point of Sale 11-SP3
  • SUSE Linux Enterprise Debuginfo 11-SP3

An update that solves 9 vulnerabilities and has one errata is now available.

Description:

This update for libssh2_org fixes the following issues:
Security issues fixed:

  • CVE-2019-3861: Fixed Out-of-bounds reads with specially crafted SSH packets (bsc#1128490).
  • CVE-2019-3862: Fixed Out-of-bounds memory comparison with specially crafted message channel request packet (bsc#1128492).
  • CVE-2019-3860: Fixed Out-of-bounds reads with specially crafted SFTP packets (bsc#1128481).
  • CVE-2019-3863: Fixed an Integer overflow in user authenticate keyboard interactive which could allow out-of-bounds writes with specially crafted keyboard responses (bsc#1128493).
  • CVE-2019-3856: Fixed a potential Integer overflow in keyboard interactive handling which could allow out-of-bounds write with specially crafted payload (bsc#1128472).
  • CVE-2019-3859: Fixed Out-of-bounds reads with specially crafted payloads due to unchecked use of _libssh2_packet_require and _libssh2_packet_requirev (bsc#1128480).
  • CVE-2019-3855: Fixed a potential Integer overflow in transport read which could allow out-of-bounds write with specially crafted payload (bsc#1128471).
  • CVE-2019-3858: Fixed a potential zero-byte allocation which could lead to an out-of-bounds read with a specially crafted SFTP packet (bsc#1128476).
  • CVE-2019-3857: Fixed a potential Integer overflow which could lead to zero-byte allocation and out-of-bounds with specially crafted message channel request SSH packet (bsc#1128474).

Other issue addressed:
  • Fixed an issue where libssh2 stops parsing known_hosts (bsc#1091236).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Point of Sale 11-SP3:
    zypper in -t patch sleposp3-libssh2_org-13997=1
  • SUSE Linux Enterprise Debuginfo 11-SP3:
    zypper in -t patch dbgsp3-libssh2_org-13997=1

Package List:

  • SUSE Linux Enterprise Point of Sale 11-SP3 (i586):
    • libssh2-1-1.2.9-4.2.12.5.1
  • SUSE Linux Enterprise Debuginfo 11-SP3 (i586 s390x x86_64):
    • libssh2_org-debuginfo-1.2.9-4.2.12.5.1
    • libssh2_org-debugsource-1.2.9-4.2.12.5.1

References: